<div class="w-full h-full grid grid-cols-6 relative">
  <div class="absolute top-0 left-0 h-full w-full">
    <div *ngFor="let scale of VISIBLE_SCALES" [title]="scale+' °C'"
      class="z-40 absolute bg-gray-500 opacity-25 w-full h-px my-2 cursor-pointer"
      [style]="'bottom: '+(scale / MAX_TEMP_CELCIUS) * 100+'%'"></div>
  </div>
  <div *ngFor="let forecast of forecasts; let index = index" class="relative z-50 h-full flex flex-col border border-b-0 border-black">
    <div class="flex-1 flex items-center justify-center cursor-pointer" (click)="selectForecast(index)">
      <div class="w-4/5 flex h-full items-end justify-evenly relative border-4 border-black border-t-0 border-l-0 border-r-0">
        <div [title]="'min: '+forecast.min_temp.toFixed(1)+'°C'" class="w-1/3"
          [style]="'background:#3498db;height:'+(forecast.temp_ratio?.min ?? '50%')">
          <div style="font-size: 0.5rem" class="w-full text-center text-white font-medium">{{forecast.min_temp.toFixed(1)}}</div>
        </div>
        <div [title]="'max: '+forecast.max_temp.toFixed(1)+'°C'" class="w-1/3"
          [style]="'background: #e74c3c; height:'+(forecast.temp_ratio?.max ?? '50%')">
          <div style="font-size: 0.5rem" class="w-full text-center text-white font-medium">{{forecast.max_temp.toFixed(1)}}</div>
        </div>
      </div>
    </div>
    <div [title]="forecast.applicable_date" class="h-6 mt-1 text-center">{{forecast.applicable_date | date:'ccc d' }}
    </div>
  </div>
</div>
